unit see;

interface

const
   SEE_MIN_RESPONSE_WAIT = 1;
   SEE_MAX_RESPONSE_WAIT = 2;
   SEE_CONNECT_WAIT = 3;
   SEE_MIN_LINE_WAIT = 5;
   SEE_MAX_LINE_WAIT = 6;
   SEE_QUOTED_PRINTABLE = 8;
   SEE_AUTO_CALL_DRIVER = 9;
   SEE_LOG_FILE = 20;
   SEE_GET_DEBUG_CHAR = 1;
   SEE_GET_DEBUG_INTEGER = 2;
   SEE_GET_ERROR_TEXT = 3;
   SEE_GET_COUNTER = 4;
   SEE_GET_RESPONSE = 5;
   SEE_GET_SOCK_ERROR = 6;
   
 function seeVerifyAddress(EmailAddr : PChar) : Integer; stdcall
 function seeConnectTo  (Server, From, Reply : PChar) : Integer; stdcall
 function seeSendTo (To, CC, BCC, Subj, Msg, Attach : PChar) : Integer; stdcall
 function seeClose () : Integer; stdcall
 function seeDriver () : Integer; stdcall
 function seeDebug (Index : Integer; Buffer : PChar; BufLen : Integer) : Integer; stdcall
 function seeIntegerParam (Index, Value : Integer) : Integer; stdcall
 function seeStringParam (Index : Integer; Value : PChar) : Integer; stdcall
 function seeErrorText (Code : Integer; Buffer : PChar; BufLen : Integer) : Integer; stdcall

implementation

 function seeVerifyAddress; external 'SEE32.DLL';
 function seeConnectTo; external 'SEE32.DLL';
 function seeSendTo; external 'SEE32.DLL';
 function seeClose; external 'SEE32.DLL';
 function seeDriver; external 'SEE32.DLL';
 function seeDebug; external 'SEE32.DLL';
 function seeIntegerParam; external 'SEE32.DLL';
 function seeStringParam; external 'SEE32.DLL';
 function seeErrorText; external 'SEE32.DLL';

end.
 